import { Uid, Str } from 'pinia-orm/dist/decorators'
import ApiModel from '~/models/ApiModel'

/**
 * Maestro Model : News
 *
 * @see https://gitlab.2iopenservice.com/opentalent/maestro/-/blob/master/src/Entity/News/News.php?ref_type=heads
 */
export default class Tag extends ApiModel {
  static entity = 'tags'

  @Uid()
  declare id: number | string

  @Str(null)
  declare name: string | null
}
